Node('fftf.config.sea.psi.ch',
     'thin film oven for AMOR',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for fftf.config',
    config='fftf.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    meaning=['temperature', 20],
    sea_object='tt',
)

Mod('p',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='p',
    extra_modules=['vacuumpump', 'gasflow', 'tlimit', 'tlimit_without_vacuum'],
)

Mod('gasflow',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    single_module='p.gasflow',
)

Mod('vacuumpump',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='p',
    rel_paths=['vacuumpump', 'tlimit', 'tlimit_without_vacuum'],
)

Mod('table',
    'frappy_psi.sea.SeaModule', '',
    io='sea_main',
    sea_object='table',
)
